%define name qtella
%define version 0.2.3
%define release 1mdk

Name:           %name
Summary:        A simple Gnutella client
Version:        %version
Release:        %release
Source:         %{name}-%{version}.tar.bz2
Source2:	qtella.xpm.bz2
Source3:	qtella16.xpm.bz2
Source4:	qtella32.xpm.bz2
Source5:	qtella48.xpm.bz2
URL:            http://qtella.sourceforge.net
Group:          Networking/File transfer
BuildRoot:      %_tmppath/%name-buildroot
License:	GPL
BuildRequires:  libqt2-devel
Requires:       libqt2

%description
Qtella is a graphical client for the Gnutella network.
You can also share files with it!

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_DIR/%{name}-%{version}
bzcat %{SOURCE2} > $RPM_BUILD_DIR/%{name}-%{version}/qtella.xpm

%setup -q
./configure --prefix=%{_prefix} \
		--with-qt-dir=/usr/lib/qt2 \
		--enable-debug

%build
make

%install
rm -rf $RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT; %makeinstall


# MENU
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/qtella" \
needs="X11" \
section="Networking/File transfer" \
icon="qtella.xpm" title="Qtella" \
longtitle="Graphical client for the Gnutella network"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
 
%postun
%{clean_menus}


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/qtella
%{_menudir}/%{name}
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm


%changelog
* Sun Sep 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- updated by Claudio Panichi <sorcla@tiscalinet.it> :
	- Updated sourcecode to version 0.2.3

* Sat Sep 22 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.2-3mdk
- Recompiled with --enable-debug option (for Nicolap ;o)) 

* Mon Sep 10 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.2-2mdk
- Fixed permissions on qtella*bz2 file

* Mon Sep 10 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.2-1mdk
- Force directory creation for default icons before first compilation
- Updated sourcecode to version 0.2.2

* Sat Sep 01 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.1-3mdk
- Changed permissions on all source files. Now they're all rw-r--r--
- Specfile cleanup. Ready to send 0.2.1  :o)

* Sat Sep 01 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.1-2mdk
- Removed kdelibs in Requires/BuildRequires because now package
  provides its own icons!

* Sat Sep 01 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.1-1mdk
- Added kdelibs in BuildRequires (for icons... gotta make its own ones!)
- Sourcecode is updated to 0.2.1 (bugfix release)

* Mon Aug 27 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.0-3mdk
- 0.2.0 final

* Mon Aug 20 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.0-2mdk
- Changed name from Qtella to qtella (q is lowercase now!)
- New Snapshot (20010819a)

* Wed Jul 25 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.2.0-1mdk
- Update sourcecode to version 0.2.0
- Enabled QT

* Sat Jul 14 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.1.2.3-3mdk
- Changed permission on source file .tar.bz2
- Changed "Copyright" entry into "License"

* Fri Jul 13 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.1.2.3-2mdk
- Added entry for Mandrake's menu system

* Fri Jul 13 2001 Claudio Panichi <sorcla@tiscalinet.it> 0.1.2.3-1mdk
- First release for mdk, first RPM at all!
